#ifndef SKGRID_HPP_
#define SKGRID_HPP_

#include <vector>
#include <istream>
#include <ostream>
#include <string>

class skgrid;

namespace std {
    ostream& operator<<(ostream&, skgrid const &);
    istream& operator>>(istream&, skgrid&);
}

class skgrid {
    std::vector<int>	cells;
    friend std::ostream& std::operator<<(std::ostream&, skgrid const &);
    friend std::istream& std::operator>>(std::istream&, skgrid&);
};

void print_desc(std::vector<std::string> const & desc);
void input_pb(std::vector<std::string>& desc, std::istream & is);
#endif	/* SKGRID_HPP_ */
